#include "foofighter.h"

/* Bullets are a subclass of drifters with different collision rules. */

void tick_bullet(object_t* object)
{
	tick_drifter(object);
}

object_t* create_bullet(int type, int x, int y, int xv, int yv)
{
	object_t* object = create_drifter(SPRITE_BULLET, weapondisplaylist,
			x, y, xv, yv);
	object->tick = tick_bullet;
	object->ordnance = 1;

	/* Bill the player for the bullet. */

	adjust_bank(-1);

	return object;
}

